## pmacct 1.7.6

=== telemetry/decoders/v3/requirements.txt ===
ujson
pyzmq
grpcio-tools
avro-python3
requests
confluent-kafka[avro]
pytest

## pmacct 0.12.1

=== debian/changelog ===
pmacct (0.12.1-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.8.4.
  * Added ${misc:Depends} to the dependencies line as requested by debhelper.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add initscript dependency on $remote_fs for /usr, the location of the pmacctd daemon.
  * Remove exclusion of .arch directories from dh_installdocs as arch is way obsolete now.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 08 Apr 2010 21:00:14 +1000

pmacct (0.12.0-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 24 Feb 2010 22:22:43 +1100

pmacct (0.11.6-2) unstable; urgency=low

  * Updated standards version to 3.8.3.
  * Fixed path to GPLv2 in debian/copyright.
  * Bumped debian/compat to 7.
   - Replace dh_clean -k with dh_prep.
   - Add versioned depends on debhelper 7.

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 19 Oct 2009 17:34:36 +1100

pmacct (0.11.6-1) unstable; urgency=low

  * New upstream version.
  * Stop linking against libz and libm explicitly.
  * Compile with IPv6 support.  (Closes: #474175)

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 18 Oct 2009 15:16:07 +1100

pmacct (0.11.5-1) unstable; urgency=low

  * New upstream version.  (Closes: #543440)

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 12 Sep 2009 15:00:08 +1000

pmacct (0.11.4-1) unstable; urgency=low

  * New upstream version.  (Closes: #407320)
  * Bug fix: "pmacct: Please remove postgresql-dev from your build-depends
    as it doesn&#39;t exist in the archive", thanks to Lior Kaplan
    (Closes: #429975).
  * Bug fix: "pmacct is missing dependency for iproute package", thanks to
    f.arthofer@lagis.at (Closes: #423032).
  * Added lsb section to initscript.
  * Don't ignore errors from make clean.
  * Updated standards version to 3.7.2

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 17 Nov 2007 12:46:13 +1100

pmacct (0.11.3-1) unstable; urgency=low

  * New upstream version.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 17 Nov 2007 12:30:27 +1100

pmacct (0.11.2-1) unstable; urgency=low

  * New upstream version.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 17 Nov 2007 12:29:58 +1100

pmacct (0.11.1-1) unstable; urgency=low

  * New upstream version.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 17 Nov 2007 12:29:12 +1100

pmacct (0.11.0-1) unstable; urgency=low

  * New upstream version.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 17 Nov 2007 12:28:41 +1100

pmacct (0.10.3-1) unstable; urgency=low

  * New upstream version.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 17 Nov 2007 12:28:09 +1100

pmacct (0.10.2-1) unstable; urgency=low

  * New upstream version.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 17 Nov 2007 12:27:35 +1100

pmacct (0.10.1-2) unstable; urgency=low

  * Fix regex in watch file to only match pmacct tarball.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 17 Nov 2007 12:23:44 +1100

pmacct (0.10.1-1) unstable; urgency=low

  * New upstream release.
  * Update copyright to point to new upstream homepage.
  * Update watch file to point to new download location.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 19 Apr 2006 13:53:16 +1000

pmacct (0.10.0-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Tue,  4 Apr 2006 12:13:24 +1000

pmacct (0.9.6-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Tue,  4 Apr 2006 12:04:05 +1000

pmacct (0.9.5-1) unstable; urgency=low

  * New upstream release.
  * Added build dependency on libsqlite3-dev for the new SQLite backend.

 -- Jamie Wilkinson <jaq@debian.org>  Tue,  4 Apr 2006 12:01:52 +1000

pmacct (0.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Tue,  4 Apr 2006 11:58:37 +1000

pmacct (0.9.3-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Tue,  4 Apr 2006 11:55:41 +1000

pmacct (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU.  Thanks Matej.  (Closes: #343796)
  * Dump the config.log if configure blows up.
  * Bumped standards version to 3.6.2 (no other changes made).
  * Updated FSF address in copyright to appease my cruel mistress
    lintian.

 -- Jamie Wilkinson <jaq@debian.org>  Tue,  4 Apr 2006 11:51:08 +1000

pmacct (0.9.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against libmysqlclient15-dev.  Closes: #343796.

 -- Matej Vela <vela@debian.org>  Tue, 21 Feb 2006 07:33:15 +0100

pmacct (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Change mysql client library dependency to libmysqlclient12-dev.
  * Change postgresql library dependency for postgresql transition.
  * Alter configure script to use pg_config to find postgresql include
    files.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 17 Aug 2005 18:01:52 +1000

pmacct (0.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 17 Aug 2005 17:34:42 +1000

pmacct (0.8.8-1) unstable; urgency=low

  * New upstream release.
  * Fix path to postgresql headers.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 28 Jun 2005 13:38:16 +1000

pmacct (0.8.7-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 28 Jun 2005 13:34:12 +1000

pmacct (0.8.6-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 28 Jun 2005 13:30:23 +1000

pmacct (0.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 28 Jun 2005 13:26:14 +1000

pmacct (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * Added UPGRADE to docs.

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 24 Apr 2005 12:43:26 +1000

pmacct (0.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 16 Apr 2005 16:38:51 +1000

pmacct (0.8.2-1) unstable; urgency=low

  * New upstream release.



=== debian/control ===
Source: pmacct
Section: net
Priority: optional
Maintainer: Jamie Wilkinson <jaq@debian.org>
Build-Depends: debhelper (>= 7), zlib1g-dev, libpcap-dev, libpq-dev, libmysqlclient15-dev, libsqlite3-dev
Standards-Version: 3.8.4

Package: pmacct
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iproute
Description: promiscuous mode traffic accountant
 pmacct is a tool designed to gather traffic information (bytes and number
 of packets) by listening on a promiscuous interface or for Netflow data,
 which may facilitate billing, bandwidth management, traffic analysis, or
 creating usage graphs.
 .
 Data can be stored in memory and queried, displayed directly, or written
 to a database; storage methods are quite flexible and may aggregate totals
 or keep them separate.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	touch Makefile.in configure aclocal.m4
	CFLAGS="$(CFLAGS)" ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--enable-mmap \
		--enable-pgsql \
		--with-pgsql-includes=`pg_config --includedir` \
		--enable-mysql \
		--enable-sqlite3 \
		--enable-ipv6 \
		|| cat config.log

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pmacct
	cp debian/pmacctd.conf $(CURDIR)/debian/pmacct/etc/pmacct/pmacctd.conf


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pmacct 0.12.5

=== debian/changelog ===
pmacct (0.12.5-4) unstable; urgency=low

  * Revert initscripts stop command to use SIGINT instead of SIGTERM. as part of #659710. 

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 14 Feb 2012 07:16:03 +0000

pmacct (0.12.5-3) unstable; urgency=low

  * Add initscripts for nfacctd, sfacctd and uacctd. (Closes: #503285, #659710)
  * Rename the pmacct initscript and default to "pmacctd".
  * Fix permissions on config files to not be world readable.  (Closes: #579535) 

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 14 Feb 2012 07:01:36 +0000

pmacct (0.12.5-2) unstable; urgency=low

  * Build a 64bit binary and enable threads.  (Closes: #659711) 

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 14 Feb 2012 02:10:03 +0000

pmacct (0.12.5-1) unstable; urgency=low

  * New upstream release.
  * Set extend-diff-ignore in debian/source/options to ignore changeable files.  (Closes: #643250)
  * Fix FTBFS on kFreeBSD.  Thanks Robert Millan!  (Closes: #647661, #617570)
  * Build-depend on the lastest libmysqlclient-dev.  Thanks Clint Byrum!  (Closes: #652136)
  * Depend on psmisc so that stopping the daemon works.  (Closes: #571548)
  * Include manpage for pmacct.  Thanks Mats Erik Andersson!  (Closes: #617558)

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 10 Feb 2012 02:34:49 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Jamie Wilkinson <jaq@debian.org>
-Build-Depends: debhelper (>= 7), zlib1g-dev, libpcap-dev, libpq-dev, libmysqlclient15-dev, libsqlite3-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), zlib1g-dev, libpcap-dev, libpq-dev, libmysqlclient-dev, libsqlite3-dev
+Standards-Version: 3.8.3
 
 Package: pmacct
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, iproute
+Depends: ${shlibs:Depends}, net-tools [linux-any] | freebsd-net-tools [kfreebsd-any], psmisc
 Description: promiscuous mode traffic accountant
  pmacct is a tool designed to gather traffic information (bytes and number
  of packets) by listening on a promiscuous interface or for Netflow data,

## pmacct 0.14.0

=== debian/changelog ===
pmacct (0.14.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added patch to handle AF_LINK on hurd and kfreebsd
    platforms (Closes: #675836)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Thu, 21 Jun 2012 12:39:40 +0100

pmacct (0.14.0-1) unstable; urgency=low

  * New upstream release
  * Revert stop function to use SIGINT, properly.  (Closes: #659975) 

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 24 May 2012 07:10:17 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Jamie Wilkinson <jaq@debian.org>
-Build-Depends: debhelper (>= 7), zlib1g-dev, libpcap-dev, libpq-dev, libmysqlclient-dev, libsqlite3-dev
+Build-Depends: debhelper (>= 7), zlib1g-dev, libpcap-dev, libpq-dev, libmysqlclient-dev, libsqlite3-dev, kfreebsd-kernel-headers[kfreebsd-any]
 Standards-Version: 3.8.3
 
 Package: pmacct

=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,8 @@
 		--enable-mysql \
 		--enable-sqlite3 \
 		--enable-ipv6 \
+		--enable-64bit \
+		--enable-threads \
 		|| cat config.log
 
 build: build-stamp
@@ -69,7 +71,9 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/pmacct
-	cp debian/pmacctd.conf $(CURDIR)/debian/pmacct/etc/pmacct/pmacctd.conf
+	install -m 0600 debian/pmacctd.conf $(CURDIR)/debian/pmacct/etc/pmacct/pmacctd.conf
+	install -m 0600 debian/sfacctd.conf $(CURDIR)/debian/pmacct/etc/pmacct/sfacctd.conf
+	install -m 0600 debian/nfacctd.conf $(CURDIR)/debian/pmacct/etc/pmacct/nfacctd.conf
 
 
 # Build architecture-independent files here.
@@ -81,7 +85,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog
-	dh_installdocs
+	dh_installdocs -X.arch
 	dh_installexamples
 #	dh_install
 #	dh_installmenu
@@ -91,6 +95,9 @@
 #	dh_installpam
 #	dh_installmime
 	dh_installinit
+	dh_installinit --name nfacctd --no-start
+	dh_installinit --name sfacctd --no-start
+	dh_installinit --name uacctd --no-start
 #	dh_installcron
 #	dh_installinfo
 	dh_installman

## pmacct 1.5.0

=== debian/changelog ===
pmacct (1.5.0-4~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 21 Jan 2015 21:27:50 +0100

pmacct (1.5.0-4) unstable; urgency=medium

  * [d7df1811] Fix identification of dummy entry.
    Upstream commit dff5ca21847d799759de27e8fd080e1f7a04cc30 (Closes: #775330)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 14 Jan 2015 10:42:30 +0100

pmacct (1.5.0-3) unstable; urgency=medium

  * [e9cf7671] Add Homepage and Vcs information.
  * [3783d4a2] Fix dpkg dependency for easy backporting.
  * [7090c1cc] Fix systemd service files.
    - Read the appropriate config file
    - Use Type=forking to make upgrades easier.
    Thanks to Malcolm Scott (Closes: #767977)
  * [9cc618e2] Add ${misc:Depends} to Depends.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 05 Nov 2014 18:27:55 +0100

pmacct (1.5.0-2~bpo70+2) wheezy-backports; urgency=medium

  * [834295a3] Fix dpkg dependency for easy backporting.
  * [73a52fee] Add ${misc:Depends} to Depends.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 05 Nov 2014 18:28:36 +0100

pmacct (1.5.0-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * [e9cf7671] Add Homepage and Vcs information.
  * [c39d8db8] Add gbp.conf for backports.
  * [8a59670f] Disable rabbitmq support.
    librabbitmq-dev is too old in wheezy.
  * [4d38edf1] Disable dh_auto_test in wheezy.
    Broken due to broken automake-foo.

 -- Bernd Zeimetz <bernd@bzed.de>  Sat, 01 Nov 2014 20:51:09 +0100

pmacct (1.5.0-2) unstable; urgency=medium

  * [5ede5bde] Build with ulog support on linux only.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 21 Oct 2014 11:30:12 +0200

pmacct (1.5.0-1) unstable; urgency=medium

  * [79b10bef] Merge tag 'upstream/1.5.0'
    Upstream version 1.5.0 (Closes: #764513)
    Ships with a fixed pgsql schema (Closes: #705093)
  * [4a16aa64] Add build-dependencies for new plugins.
    libgeoip-dev, librabbitmq-dev, libjansson-dev
  * [c5bbcc25] New package maintainer.
    Thanks a lot to Jamie Wilkinson for taking care
    of the package until now!
  * [878069c5] Enable v4 mapped sockets.
  * [38d9fb95] Refurbish packaging.
    use debhelper compat level 9, make default files compatible to systemd,
    install uacctd.conf into /etc/pmacct. Reqork and fix all init scripts.
    Add systemd service files.
    All systemd services and init scripts are disabled by default as all
    daemons need a proper configuration to work.
    Closes: #686337
    Closes: #725983
  * [b64b7e55] Enable build with rabbitmq, jansson and geoip.
  * [cb44cd73] Add patch to fix format-security error in src/log.c
  * [ddb23c73] Fix and update documentation.
  * [a73fa63e] Run add the systemd sequence to dh.
  * [5c9f3380] Call dh_systemd_enable with --no-enable.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 20 Oct 2014 23:37:21 +0200

=== debian/control ===
Source: pmacct
Section: net
Priority: optional
Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 9),
 zlib1g-dev,
 libpcap-dev,
 libpq-dev,
 libmysqlclient-dev,
 libsqlite3-dev,
 kfreebsd-kernel-headers[kfreebsd-any],
 libgeoip-dev,
 libjansson-dev,
 autotools-dev,
 dh-systemd
Standards-Version: 3.9.6
Homepage: http://www.pmacct.net/
Vcs-Git: https://github.com/bzed/pkg-pmacct.git
Vcs-Browser: https://github.com/bzed/pkg-pmacct

Package: pmacct
Architecture: any
Depends: ${shlibs:Depends}, net-tools [linux-any] | freebsd-net-tools [kfreebsd-any], psmisc, lsb-base (>= 3.2-14), ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.8)
Description: promiscuous mode traffic accountant
 pmacct is a tool designed to gather traffic information (bytes and number
 of packets) by listening on a promiscuous interface or for Netflow data,
 which may facilitate billing, bandwidth management, traffic analysis, or
 creating usage graphs.
 .
 Data can be stored in memory and queried, displayed directly, or written
 to a database; storage methods are quite flexible and may aggregate totals
 or keep them separate.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(DEB_HOST_ARCH_OS),linux)
    extra_confflags += --enable-ulog
endif


override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-mmap \
		--enable-pgsql \
		--with-pgsql-includes=`pg_config --includedir` \
		--enable-mysql \
		--enable-sqlite3 \
		--enable-ipv6 \
		--enable-v4-mapped \
		--enable-64bit \
		--enable-threads \
		--enable-jansson \
		--enable-geoip \
		$(extra_confflags)

override_dh_auto_test:
	# broken in wheezy

override_dh_installinit:
	dh_installinit --name pmacctd --no-start
	dh_installinit --name nfacctd --no-start
	dh_installinit --name sfacctd --no-start
	dh_installinit --name uacctd --no-start

override_dh_systemd_start:
	dh_systemd_start --name pmacctd --no-start
	dh_systemd_start --name nfacctd --no-start
	dh_systemd_start --name sfacctd --no-start
	dh_systemd_start --name uacctd --no-start

override_dh_systemd_enable:
	dh_systemd_enable --name pmacctd --no-enable
	dh_systemd_enable --name nfacctd --no-enable
	dh_systemd_enable --name sfacctd --no-enable
	dh_systemd_enable --name uacctd --no-enable

%:
	dh $@ --with autotools_dev,systemd

## pmacct 1.5.1

=== debian/changelog ===
pmacct (1.5.1-2) unstable; urgency=medium

  * [cdc038b5] Remove ulog support / uacctd.
    Ulog was removed from the kernel.
    Thanks to Chris West (Closes: #790090)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 27 Jun 2015 12:01:35 +0200

pmacct (1.5.1-1) unstable; urgency=medium

  * [6e864c42] Merge tag 'upstream/1.5.1'
    Upstream version 1.5.1
  * [1b51f2d2] Remove patches applied upstream.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 19 Apr 2015 11:55:00 +0200

## pmacct 1.5.2

=== debian/changelog ===
pmacct (1.5.2-1build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:51:06 +0000

pmacct (1.5.2-1) unstable; urgency=medium

  * [290e9b2] Merge tag 'upstream/1.5.2'
    Upstream version 1.5.2
    The new upstream version also builds fine against the new
    librabbitmq4. (Closes: #806245)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 25 Nov 2015 21:25:32 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  libsqlite3-dev,
  kfreebsd-kernel-headers[kfreebsd-any],
  libgeoip-dev,
+ librabbitmq-dev,
  libjansson-dev,
  autotools-dev,
  dh-systemd

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-mmap \
		--enable-pgsql \
		--with-pgsql-includes=`pg_config --includedir` \
		--enable-mysql \
		--enable-sqlite3 \
		--enable-ipv6 \
		--enable-v4-mapped \
		--enable-64bit \
		--enable-threads \
		--enable-jansson \
		--enable-geoip \
		--enable-rabbitmq


override_dh_installinit:
	dh_installinit --name pmacctd --no-start
	dh_installinit --name nfacctd --no-start
	dh_installinit --name sfacctd --no-start

override_dh_systemd_start:
	dh_systemd_start --name pmacctd --no-start
	dh_systemd_start --name nfacctd --no-start
	dh_systemd_start --name sfacctd --no-start

override_dh_systemd_enable:
	dh_systemd_enable --name pmacctd --no-enable
	dh_systemd_enable --name nfacctd --no-enable
	dh_systemd_enable --name sfacctd --no-enable

%:
	dh $@ --with autotools_dev,systemd

## pmacct 1.6.1

=== debian/changelog ===
pmacct (1.6.1-1) unstable; urgency=medium

  * [0497b6e] Merge tag 'upstream/1.6.1'
    Upstream version 1.6.1
  * [1f226fe] Depend on default-libmysqlclient-dev. (Closes: #845894)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 26 Nov 2016 23:39:01 +0100

pmacct (1.6.0-1) unstable; urgency=medium

  [ Jonas Gröger ]
  * [de3a707] Imported Upstream version 1.6.0
  * [751008b] Merge tag 'upstream/1.6.0'
    Upstream version 1.6.0
  * [74a633a] Updating changelog (1.6.0)
  * [45875dd] Build with Plugin: kafka
  * [875047c] Remove patch 'fix-syslog-format-security' (is in upstream)
    Fix in https://github.com/pmacct/pmacct/commit/133fd78a3ac0accbaf7852c4d66ac1225d461ffd
  * [3899f4f] Fix debian/docs

  [ Martin ]
  * [886f326] Fix Dependency for Plugin: Kafka
  * [d247b82] Fix Dependency: pkg-config
  * [35c0508] Build with Plugin: Nflog
  * [b4808e0] Fix Dependency for Plugin: nflog

  [ Bernd Zeimetz ]
  * [4b80b28] Merge pull request #3 from crza/master.
    Fixed Dependencies for new upstream version

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 20 Aug 2016 14:50:19 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,16 @@
  zlib1g-dev,
  libpcap-dev,
  libpq-dev,
- libmysqlclient-dev,
+ default-libmysqlclient-dev,
  libsqlite3-dev,
  kfreebsd-kernel-headers[kfreebsd-any],
  libgeoip-dev,
  librabbitmq-dev,
  libjansson-dev,
+ librdkafka-dev,
+ libnetfilter-log-dev,
  autotools-dev,
+ pkg-config,
  dh-systemd
 Standards-Version: 3.9.6
 Homepage: http://www.pmacct.net/

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,11 @@
 #export DH_VERBOSE=1
 
 DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+    extra_confflags += --enable-nflog
+endif
+
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -18,25 +23,28 @@
 		--enable-threads \
 		--enable-jansson \
 		--enable-geoip \
-		--enable-rabbitmq
-
+		--enable-rabbitmq \
+		--enable-kafka \
+		$(extra_confflags)
 
 override_dh_installinit:
 	dh_installinit --name pmacctd --no-start
 	dh_installinit --name nfacctd --no-start
 	dh_installinit --name sfacctd --no-start
+	dh_installinit --name uacctd --no-start
 
 override_dh_systemd_start:
 	dh_systemd_start --name pmacctd --no-start
 	dh_systemd_start --name nfacctd --no-start
 	dh_systemd_start --name sfacctd --no-start
+	dh_systemd_start --name uacctd --no-start
 
 override_dh_systemd_enable:
 	dh_systemd_enable --name pmacctd --no-enable
 	dh_systemd_enable --name nfacctd --no-enable
 	dh_systemd_enable --name sfacctd --no-enable
+	dh_systemd_enable --name uacctd --no-enable
 
 %:
 	dh $@ --with autotools_dev,systemd
 
-

## pmacct 1.7.0

=== debian/changelog ===
pmacct (1.7.0-1) unstable; urgency=medium

  * [09997b1] Updated version 1.7.0 from 'upstream/1.7.0'
    with Debian dir 7687eb365838d66f3b109a1d516d0fdf991f05d1
  * [8cc2d9a] Add new build-deps and configure flags
  * [e14a802] Use libmaxminddb (geoip2)
    Thanks to Faidon Liambotis (Closes: #863137)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 22 Oct 2017 14:39:05 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,13 @@
  default-libmysqlclient-dev,
  libsqlite3-dev,
  kfreebsd-kernel-headers[kfreebsd-any],
- libgeoip-dev,
  librabbitmq-dev,
  libjansson-dev,
  librdkafka-dev,
  libnetfilter-log-dev,
+ libmaxminddb-dev,
+ libjansson-dev,
+ libzmq3-dev,
  autotools-dev,
  pkg-config,
  dh-systemd

=== debian/rules ===
--- 
+++ 
@@ -12,20 +12,32 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--enable-mmap \
-		--enable-pgsql \
 		--with-pgsql-includes=`pg_config --includedir` \
-		--enable-mysql \
-		--enable-sqlite3 \
-		--enable-ipv6 \
-		--enable-v4-mapped \
-		--enable-64bit \
-		--enable-threads \
-		--enable-jansson \
-		--enable-geoip \
-		--enable-rabbitmq \
-		--enable-kafka \
+		--enable-l2           \
+		--enable-ipv6         \
+		--enable-plabel       \
+		--enable-mysql        \
+		--enable-pgsql        \
+		--enable-sqlite3      \
+		--enable-rabbitmq     \
+		--enable-zmq          \
+		--enable-kafka        \
+		--enable-geoipv2      \
+		--enable-jansson      \
+		--enable-64bit        \
+		--enable-threads      \
+		--enable-traffic-bins \
+		--enable-bgp-bins     \
+		--enable-bmp-bins     \
+		--enable-st-bins      \
 		$(extra_confflags)
+
+		# build-deps not available in debian
+		# --enable-avro         \
+		# does not support the current version
+		# --enable-mongodb      \
+		# libndpi outdated
+		# --enable-ndpi         \
 
 override_dh_installinit:
 	dh_installinit --name pmacctd --no-start

## pmacct 1.7.2

=== debian/changelog ===
pmacct (1.7.2-3build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 02:04:09 +0000

pmacct (1.7.2-3) unstable; urgency=medium

  * [7e3d753] Disable ndpi again.
    Builds with 2.2, fails with 2.6. (Closes: #920173)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 22 Jan 2019 17:45:45 +0100

pmacct (1.7.2-2) unstable; urgency=medium

  * [1a1815a] Enable nDPI support

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 21 Jan 2019 18:14:14 +0100

pmacct (1.7.2-1) unstable; urgency=medium

  * [326164d] Update upstream source from tag 'upstream/1.7.2'
    Update to upstream version '1.7.2'
    with Debian dir b0ab2ffb19367e9d2f35d7823ed4c6e20d9ac8eb
  * [a0b6f73] snapshot changelog
  * [1529cb5] Add gitlab ci file
  * [c054575] Enable nDPI support
  * [bb395f7] Enable MongoDB support.
  * [a2c3c6a] Remove TOOLS from docs, removed by upstream.
  * [8d4d43a] Revert "Enable MongoDB support."
    This reverts commit bb395f7a40b896bcf0ddd68fe0da2e7ecdc6004e.
    Debian ships libmongoc 1.0, supported is 0.8 only.
  * [2b7e587] Revert "Enable nDPI support"
    This reverts commit c054575d0e7b0d846093910684f12e0dc05fba6b.
    Not sure if 2.2 will ever go into testing...
  * [e31b08a] Move exmaples into /usr/lib
  * [9ff3581] Use dh_autoreconf
  * [86066b8] Add patch to include mysql/mysql_version.h.
    Thanks to Andreas Beckmann (Closes: #919379)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 15 Jan 2019 15:26:22 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,8 @@
  libzmq3-dev,
  autotools-dev,
  pkg-config,
- dh-systemd
+ dh-systemd,
+ dh-autoreconf
 Standards-Version: 3.9.6
 Homepage: http://www.pmacct.net/
 Vcs-Git: https://github.com/bzed/pkg-pmacct.git

=== debian/rules ===
--- 
+++ 
@@ -58,5 +58,5 @@
 	dh_systemd_enable --name uacctd --no-enable
 
 %:
-	dh $@ --with autotools_dev,systemd
+	dh $@ --with autotools_dev,systemd,autoreconf

## pmacct 1.7.5

=== debian/changelog ===
pmacct (1.7.5-1) unstable; urgency=medium

  * [027d4f2] New gitlab file
  * [4e86167] Update upstream source from tag 'upstream/1.7.5'
    Update to upstream version '1.7.5'
    with Debian dir 3359a3d47966bc883978e2202434a291ce7bc6bf
  * [4d171d6] Refreshing patches
  * [ec543b5] snapshot changelog
  * [66dc6a0] Use CFLAGS=-fcommon as workaround for gcc-10 (Closes: #957693)
  * [a6ba6fe] Orphaning package

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 07 Aug 2020 14:01:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pmacct
 Section: net
 Priority: optional
-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9),
  zlib1g-dev,
  libpcap-dev,

## pmacct 1.7.6

=== debian/changelog ===
pmacct (1.7.6-2) unstable; urgency=medium

  * QA upload.
  * [6349554] Update Vcs-* URLs so people know where the sources are
  * [808e1ac] Remove build dependency on obsolete dh-systemd.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #958597)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 16 Feb 2021 22:52:12 +0000

pmacct (1.7.6-1) unstable; urgency=medium

  * [ebf2e47] New upstream version 1.7.6
  * [f63cfc2] add libnuma-dev as build-dependency

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 09 Feb 2021 20:45:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160709),
  zlib1g-dev,
  libpcap-dev,
  libpq-dev,
@@ -16,14 +16,14 @@
  libmaxminddb-dev,
  libjansson-dev,
  libzmq3-dev,
+ libnuma-dev,
  autotools-dev,
  pkg-config,
- dh-systemd,
  dh-autoreconf
 Standards-Version: 3.9.6
 Homepage: http://www.pmacct.net/
-Vcs-Git: https://github.com/bzed/pkg-pmacct.git
-Vcs-Browser: https://github.com/bzed/pkg-pmacct
+Vcs-Git: https://salsa.debian.org/debian/pmacct.git
+Vcs-Browser: https://salsa.debian.org/debian/pmacct
 
 Package: pmacct
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
+	export CFLAGS=-fcommon; dh_auto_configure -- \
 		--with-pgsql-includes=`pg_config --includedir` \
 		--enable-l2           \
 		--enable-ipv6         \

## pmacct 1.7.7

=== debian/changelog ===
pmacct (1.7.7-1) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * New upstream release.
  * Remove constraints unnecessary since buster
  * Refresh patches.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:41:46 +0100

pmacct (1.7.6-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Drop use of autotools-dev debhelper.
  * Bump debhelper from deprecated 9 to 13. + Use dh_installsystemd rather than deprecated dh_systemd_enable. + Use dh_installsystemd rather than deprecated dh_systemd_start.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 29 Aug 2022 22:08:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9.20160709),
+Build-Depends: debhelper-compat (= 13),
  zlib1g-dev,
  libpcap-dev,
  libpq-dev,
  default-libmysqlclient-dev,
  libsqlite3-dev,
- kfreebsd-kernel-headers[kfreebsd-any],
+ kfreebsd-kernel-headers [kfreebsd-any],
  librabbitmq-dev,
  libjansson-dev,
  librdkafka-dev,
@@ -18,8 +18,7 @@
  libzmq3-dev,
  libnuma-dev,
  autotools-dev,
- pkg-config,
- dh-autoreconf
+ pkg-config
 Standards-Version: 3.9.6
 Homepage: http://www.pmacct.net/
 Vcs-Git: https://salsa.debian.org/debian/pmacct.git
@@ -27,8 +26,7 @@
 
 Package: pmacct
 Architecture: any
-Depends: ${shlibs:Depends}, net-tools [linux-any] | freebsd-net-tools [kfreebsd-any], psmisc, lsb-base (>= 3.2-14), ${misc:Depends}
-Pre-Depends: dpkg (>= 1.15.8)
+Depends: ${shlibs:Depends}, net-tools [linux-any] | freebsd-net-tools [kfreebsd-any], psmisc, lsb-base, ${misc:Depends}
 Description: promiscuous mode traffic accountant
  pmacct is a tool designed to gather traffic information (bytes and number
  of packets) by listening on a promiscuous interface or for Netflow data,

=== debian/rules ===
--- 
+++ 
@@ -45,18 +45,17 @@
 	dh_installinit --name sfacctd --no-start
 	dh_installinit --name uacctd --no-start
 
-override_dh_systemd_start:
-	dh_systemd_start --name pmacctd --no-start
-	dh_systemd_start --name nfacctd --no-start
-	dh_systemd_start --name sfacctd --no-start
-	dh_systemd_start --name uacctd --no-start
+override_dh_installsystemd:
+	dh_installsystemd --name pmacctd --no-start
+	dh_installsystemd --name nfacctd --no-start
+	dh_installsystemd --name sfacctd --no-start
+	dh_installsystemd --name uacctd --no-start
 
-override_dh_systemd_enable:
-	dh_systemd_enable --name pmacctd --no-enable
-	dh_systemd_enable --name nfacctd --no-enable
-	dh_systemd_enable --name sfacctd --no-enable
-	dh_systemd_enable --name uacctd --no-enable
+override_dh_installsystemd:
+	dh_installsystemd --name pmacctd --no-enable
+	dh_installsystemd --name nfacctd --no-enable
+	dh_installsystemd --name sfacctd --no-enable
+	dh_installsystemd --name uacctd --no-enable
 
 %:
-	dh $@ --with autotools_dev,systemd,autoreconf
-
+	dh $@

## pmacct 1.7.8

=== debian/changelog ===
pmacct (1.7.8-4) unstable; urgency=medium

  * QA upload.
  * Fix clean target. Closes: #1048639.
  * d/control: Switch from pkg-config to pkgconf.
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.
  * d/watch: Switch to format version 5.
  * d/docs: Drop COPYING and INSTALL.
  * Add debian/source/lintian-overrides.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Tue, 09 Dec 2025 10:40:00 +0100

pmacct (1.7.8-3) unstable; urgency=medium

  * QA upload.
  * Backport upstream fixes for FTBFS with GCC 15. (Closes: #1114264)

 -- Adrian Bunk <bunk@debian.org>  Wed, 08 Oct 2025 15:44:51 +0300

pmacct (1.7.8-2) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Disable libndpi-dev on s390x and !linux-any. (Closes: #1061456)
    + Remove kfreebsd packages.
  * debian/rules: Ditto.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Jan 2024 12:57:41 -0500

pmacct (1.7.8-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control:
    + Enable ebpf support [linux-any].
    + Re-enable avro and ndpi support.
    + Bump Standards-Version to 4.6.2.
    + Drop build-dependency on autotools-dev (lintian).
    + Avoid direct dependency on lsb-base (lintian: use sysvinit-utils).
  * debian/pmacct.links: Correctly link examples directory in
    multiarch location. (Closes: #924202)
  * debian/rules: Merge duplicated and overridden dh_installsystemd
    invocation that was accidentally introduced by Debian Janitor.
  * debian/rules: Avoid manually setting DEB_HOST_ARCH_OS variable.
    Use /usr/share/dpkg/architecture.mk instead.
  * debian/pmacct.maintscript: Added to replace scattered manual
    dpkg-maintscript-helper invocation (lintian).

 -- Boyuan Yang <byang@debian.org>  Sun, 24 Dec 2023 12:09:05 -0500

=== debian/control ===
Source: pmacct
Section: net
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 libavro-dev,
 libbpf-dev [linux-any],
 libjansson-dev,
 libmaxminddb-dev,
 libndpi-dev [!hurd-any !s390x],
 libnetfilter-log-dev,
 libnuma-dev,
 libpcap-dev,
 libpq-dev,
 librabbitmq-dev,
 librdkafka-dev,
 libsqlite3-dev,
 libzmq3-dev,
 pkgconf,
 zlib1g-dev,
Standards-Version: 4.7.2
Homepage: http://www.pmacct.net/
Vcs-Git: https://salsa.debian.org/debian/pmacct.git
Vcs-Browser: https://salsa.debian.org/debian/pmacct

Package: pmacct
Architecture: any
Depends: ${shlibs:Depends}, net-tools [linux-any], psmisc, sysvinit-utils (>= 3.05-4~) | lsb-base, ${misc:Depends}
Description: promiscuous mode traffic accountant
 pmacct is a tool designed to gather traffic information (bytes and number
 of packets) by listening on a promiscuous interface or for Netflow data,
 which may facilitate billing, bandwidth management, traffic analysis, or
 creating usage graphs.
 .
 Data can be stored in memory and queried, displayed directly, or written
 to a database; storage methods are quite flexible and may aggregate totals
 or keep them separate.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH_OS),linux)
    extra_confflags += --enable-nflog
    extra_confflags += --enable-ebpf
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),s390x))
    extra_confflags += --enable-ndpi
endif
endif

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) maintainer-clean

override_dh_auto_configure:
	export CFLAGS=-fcommon; dh_auto_configure -- \
		--with-pgsql-includes=`pg_config --includedir` \
		--enable-avro         \
		--enable-l2           \
		--enable-ipv6         \
		--enable-plabel       \
		--enable-mysql        \
		--enable-pgsql        \
		--enable-sqlite3      \
		--enable-rabbitmq     \
		--enable-zmq          \
		--enable-kafka        \
		--enable-geoipv2      \
		--enable-jansson      \
		--enable-64bit        \
		--enable-threads      \
		--enable-traffic-bins \
		--enable-bgp-bins     \
		--enable-bmp-bins     \
		--enable-st-bins      \
		$(extra_confflags)

		# does not support the current version
		# --enable-mongodb      \

override_dh_installinit:
	dh_installinit --name pmacctd --no-start
	dh_installinit --name nfacctd --no-start
	dh_installinit --name sfacctd --no-start
	dh_installinit --name uacctd --no-start

override_dh_installsystemd:
	dh_installsystemd --name pmacctd --no-start --no-enable
	dh_installsystemd --name nfacctd --no-start --no-enable
	dh_installsystemd --name sfacctd --no-start --no-enable
	dh_installsystemd --name uacctd --no-start --no-enable

execute_after_dh_auto_install:
	# Drop .la files
	rm -fv debian/*/usr/lib/*/pmacct/examples/custom/libcustom.la

%:
	dh $@

=== debian/watch ===
Version: 5

Source: http://www.pmacct.net/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
